-- Arma_UnitAiInfos
-- Author: Armakoir
-- DateCreated: 11/28/2017 11:59:33 AM
--------------------------------------------------------------

/* These AiTypes are referenced in two noticeable places: OpTeamRequirements and TreeData (for the Behavior Trees). */

INSERT INTO UnitAiTypes
		(AiType, TypeValue)
VALUES
		('UNITTYPE_PROTECTIVE', NULL),			--TreeData reference only (these four are primarily used to get the AI to make unit formations)
		('UNITTYPE_NAVAL_PROTECTIVE', NULL),	--TreeData ref only
		--('UNITTYPE_SIEGE_SUPPORT', NULL),		--TreeData ref only
		('UNITTYPE_NAVAL_SUPPORT', NULL),		--TreeData ref only

		('UNITTYPE_ANTIAIR', NULL),		--These unit types are (afaik) only referenced in OpTeamRequirements and function towards building operational groups of units
		('UNITTYPE_ANTITANK', NULL),
		('UNITTYPE_HEALING', NULL),
		('UNITTYPE_NAVAL_SUB', NULL),
		('UNITTYPE_NAVAL_MELEE', NULL),
		('UNITTYPE_NAVAL_RANGED', NULL),
		('UNITTYPE_CARRIER', NULL),
		('UNITTYPE_NUCLEAR_SUB', NULL),
		('UNITTYPE_FIGHTER', NULL),
		('UNITTYPE_GENERAL', NULL),
		('UNITTYPE_ADMIRAL', NULL),
		('UNITTYPE_MILITARY_CIVILIAN', NULL);

		/* --('UNITAI_EXPLORE', NULL),		UnitAiInfos ref only; Note: This seems necessary for scout-like units to do their own individual (ie non-operation) exploration
		--('UNITAI_COMBAT', NULL),		UnitAiInfos ref only; Note: This does NOT seem necessary for units to engage in combat, but without it I think a major turn slowdown is occurring
		('UNITAI_SETTLE', NULL),
		('UNITAI_BUILD', NULL),
		('UNITAI_DEFENDER', NULL),
		('UNITAI_LEADER', NULL),
		('UNITTYPE_CAVALRY', NULL),
		('UNITTYPE_CIVILIAN', NULL),	--Used as a negator in OpTeamRequirements
		('UNITTYPE_CIVILIAN_LEADER', NULL),
		--('UNITTYPE_NAVAL', NULL),		--Used as a negator in OpTeamRequirements
		('UNITTYPE_LAND_COMBAT', NULL),  --Used as a negator in OpTeamRequirements
		('UNITTYPE_AIR', NULL),			--Used as a negator in OpTeamRequirements
		('UNITTYPE_MELEE', NULL),
		('UNITTYPE_RANGED', NULL),
		('UNITTYPE_SIEGE', NULL),
		('UNITTYPE_TRADE', NULL),
		('UNITTYPE_NUCLEAR', NULL),
		('UNITTYPE_NUCLEAR_ESCORT', NULL), */

UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_WARRIOR' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_SPEARMAN' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_SWORDSMAN' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_PIKEMAN' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_MUSKETMAN' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_INFANTRY' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_MECHANIZED_INFANTRY' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_GREEK_HOPLITE' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_ENGLISH_REDCOAT' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_ROMAN_LEGION' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_JAPANESE_SAMURAI' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_NORWEGIAN_BERSERKER' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_KONGO_SHIELD_BEARER' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_FRENCH_GARDE_IMPERIALE' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_MACEMAN' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_PHALANX' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_RIFLEMAN' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_HIRDMAN' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_FATHERLAND_VOLUNTEER' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_SOHEI' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_GARDE_REPUBLICAINE' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_LANDSKNECHT' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_TERCIO' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_SEPOY' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_VULTURE' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_FRENCH_MARINE' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_ARMATOLOS' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_GHAZI' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_INDIAN_VARU' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_SUMERIAN_WAR_CART' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_HEAVY_CHARIOT' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_KNIGHT' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_CUIRASSIER' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_ENGLISH_IRONSIDE' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_MUGHAL_SOWAR' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_AMAZON' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_GENDARME' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_ARABIAN_MAMLUK' AND AiType='UNITTYPE_MELEE';

UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_HORSEMAN' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_CAVALRY' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_AMERICAN_ROUGH_RIDER' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_RUSSIAN_COSSACK' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_MEDIEVAL_HORSEMAN' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_JINETE' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_EQUITE' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_DRUZHINA' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_AMERICAN_AH64_APACHE' AND AiType='UNITTYPE_MELEE';

UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_CATAPULT' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_BOMBARD' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_CHINESE_CROUCHING_TIGER' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_ONAGER' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_TREBUCHET' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_FIELD_CANNON' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_ARTILLERY' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_ROCKET_ARTILLERY' AND AiType='UNITTYPE_RANGED';

UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_GATLING_GUN' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_MODERN_AT' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType='UNIT_AT_CREW' AND AiType='UNITTYPE_MELEE';

UPDATE UnitAiInfos SET AiType = 'UNITTYPE_GENERAL' WHERE UnitType='UNIT_NORWEGIAN_ULFHEDNAR' AND AiType='UNITTYPE_SIEGE_SUPPORT';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_GENERAL' WHERE UnitType='UNIT_SHIGONG' AND AiType='UNITTYPE_SIEGE_SUPPORT';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_HEALING' WHERE UnitType='UNIT_HELICOPTER' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_HEALING' WHERE UnitType='UNIT_MEDICINE_MAN' AND AiType='UNITTYPE_SIEGE_SUPPORT';

UPDATE UnitAiInfos SET AiType = 'UNITTYPE_MILITARY_CIVILIAN' WHERE UnitType='UNIT_GREAT_GENERAL' AND AiType='UNITTYPE_CIVILIAN_LEADER';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_MILITARY_CIVILIAN' WHERE UnitType='UNIT_GREAT_ADMIRAL' AND AiType='UNITTYPE_CIVILIAN_LEADER';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_MILITARY_CIVILIAN' WHERE UnitType='UNIT_MEDICINE_MAN' AND AiType='UNITTYPE_CIVILIAN';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_MILITARY_CIVILIAN' WHERE UnitType='UNIT_SHIGONG' AND AiType='UNITTYPE_CIVILIAN';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_MILITARY_CIVILIAN' WHERE UnitType='UNIT_NORWEGIAN_ULFHEDNAR' AND AiType='UNITTYPE_CIVILIAN';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_MILITARY_CIVILIAN' WHERE UnitType='UNIT_MEDIC' AND AiType='UNITTYPE_SIEGE_SUPPORT';

UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_MELEE' WHERE UnitType='UNIT_GALLEY' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_MELEE' WHERE UnitType='UNIT_BARBARIAN_RAIDER' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_MELEE' WHERE UnitType='UNIT_CARAVEL' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_MELEE' WHERE UnitType='UNIT_FRIGATE' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_MELEE' WHERE UnitType='UNIT_DESTROYER' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_MELEE' WHERE UnitType='UNIT_NORWEGIAN_LONGSHIP' AND AiType='UNITTYPE_MELEE';

UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_RANGED' WHERE UnitType='UNIT_IRONCLAD' AND AiType='UNITTYPE_MELEE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_RANGED' WHERE UnitType='UNIT_QUADRIREME' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_RANGED' WHERE UnitType='UNIT_BRAZILIAN_MINAS_GERAES' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_RANGED' WHERE UnitType='UNIT_YAMATO' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_RANGED' WHERE UnitType='UNIT_WAR_GALLEY' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_RANGED' WHERE UnitType='UNIT_BATTLESHIP' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_RANGED' WHERE UnitType='UNIT_MISSILE_CRUISER' AND AiType='UNITTYPE_RANGED';

UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_SUB' WHERE UnitType='UNIT_PRIVATEER' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_SUB' WHERE UnitType='UNIT_SUBMARINE' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_SUB' WHERE UnitType='UNIT_ENGLISH_SEADOG' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_SUB' WHERE UnitType='UNIT_GERMAN_UBOAT' AND AiType='UNITTYPE_RANGED';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NAVAL_SUB' WHERE UnitType='UNIT_NUCLEAR_SUBMARINE' AND AiType='UNITTYPE_RANGED';

UPDATE UnitAiInfos SET AiType = 'UNITTYPE_NUCLEAR_SUB' WHERE UnitType='UNIT_NUCLEAR_SUBMARINE' AND AiType='UNITTYPE_NUCLEAR';

DELETE FROM UnitAiInfos WHERE UnitType='UNIT_GREAT_SCIENTIST' AND AiType='UNITAI_LEADER';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_GREAT_ADMIRAL' AND AiType='UNITTYPE_NAVAL';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_MILITARY_ENGINEER' AND AiType='UNITTYPE_SIEGE_SUPPORT';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_HELICOPTER' AND AiType='UNITTYPE_CAVALRY';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_HELICOPTER' AND AiType='UNITAI_COMBAT';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_HELICOPTER' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_RANGER' AND AiType='UNITTYPE_RANGED';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_BANDEIRANTE' AND AiType='UNITTYPE_MELEE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_BANDEIRANTE' AND AiType='UNITTYPE_RANGED';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_EXPLORER' AND AiType='UNITTYPE_MELEE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_RECON' AND AiType='UNITTYPE_RANGED';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_GATLING_GUN' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_MODERN_AT' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_AT_CREW' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_AMERICAN_AH64_APACHE' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_MODERN_ARMOR' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_IRONCLAD' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_DESTROYER' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_AIRCRAFT_CARRIER' AND AiType='UNITAI_COMBAT';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_OBSERVATION_BALLOON' AND AiType='UNITTYPE_SIEGE_SUPPORT';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_MINUTEMAN' AND AiType='UNITTYPE_MELEE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_MUGHAL_SOWAR' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_CUIRASSIER' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_ENGLISH_IRONSIDE' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_AMAZON' AND AiType='UNITAI_EXPLORE';
DELETE FROM UnitAiInfos WHERE UnitType='UNIT_GENDARME' AND AiType='UNITAI_EXPLORE';

--DELETE FROM UnitAiInfos WHERE UnitType='UNIT_SNIPER' AND AiType='UNITTYPE_RANGED';
--DELETE FROM UnitAiInfos WHERE UnitType='UNIT_MODERN_SNIPER' AND AiType='UNITAI_EXPLORE';
--DELETE FROM UnitAiInfos WHERE UnitType='UNIT_MINUTEMAN' AND AiType='UNITAI_EXPLORE';



INSERT INTO UnitAiInfos
		(UnitType, AiType)
VALUES
		('UNIT_GREAT_ADMIRAL','UNITTYPE_ADMIRAL'),

		('UNIT_ANTIAIR_GUN','UNITTYPE_ANTIAIR'),
		('UNIT_MOBILE_SAM','UNITTYPE_ANTIAIR'),
		('UNIT_MACHINE_GUN','UNITTYPE_ANTIAIR'),

		('UNIT_AT_CREW','UNITTYPE_ANTITANK'),
		('UNIT_MODERN_AT','UNITTYPE_ANTITANK'),

		('UNIT_BOMBER', 'UNITTYPE_AIR'),
		('UNIT_JET_BOMBER', 'UNITTYPE_AIR'),
		('UNIT_OBSERVATION_BALLOON','UNITTYPE_AIR'),
		
		('UNIT_AMAZON_SCOUT','UNITAI_COMBAT'),
		('UNIT_EXPLORER','UNITAI_COMBAT'),

		('UNIT_AIRCRAFT_CARRIER','UNITTYPE_CARRIER'),

		('UNIT_GREAT_GENERAL','UNITTYPE_GENERAL'),

		('UNIT_MEDIC','UNITTYPE_HEALING'),

		('UNIT_CAMEL_ARCHER','UNITAI_EXPLORE'),

		('UNIT_FIGHTER','UNITTYPE_FIGHTER'),
		('UNIT_AMERICAN_P51','UNITTYPE_FIGHTER'),
		('UNIT_JET_FIGHTER','UNITTYPE_FIGHTER'),

		('UNIT_HELICOPTER','UNITTYPE_MILITARY_CIVILIAN'),

		('UNIT_AIRCRAFT_CARRIER','UNITTYPE_NAVAL_SUPPORT'),

		('UNIT_GATLING_GUN','UNITTYPE_RANGED'),

		('UNIT_BATTERING_RAM','UNITTYPE_SIEGE'),
		('UNIT_SIEGE_TOWER','UNITTYPE_SIEGE'),
		('UNIT_CHINESE_CROUCHING_TIGER','UNITTYPE_SIEGE'),
		('UNIT_FIELD_CANNON','UNITTYPE_SIEGE'),

		('UNIT_SLINGER','UNITTYPE_SIEGE_SUPPORT'),
		('UNIT_ARCHER','UNITTYPE_SIEGE_SUPPORT'),
		('UNIT_HYKSOS_BOWMAN','UNITTYPE_SIEGE_SUPPORT'),
		('UNIT_PELTAST','UNITTYPE_SIEGE_SUPPORT'),
		('UNIT_CROSSBOWMAN','UNITTYPE_SIEGE_SUPPORT'),
		('UNIT_CHOKONU','UNITTYPE_SIEGE_SUPPORT'),
		('UNIT_LONGBOWMAN','UNITTYPE_SIEGE_SUPPORT'),
		('UNIT_MACHINE_GUN','UNITTYPE_SIEGE_SUPPORT');

		

		


		

		


		