-- Expansion Units
-- Author: Armkoir
-- DateCreated: 11/28/2017 12:52:40 PM
--------------------------------------------------------------

/* AZTEC DLC + MOAR */
UPDATE Units SET Combat = '25' WHERE UnitType = 'UNIT_AZTEC_EAGLE_WARRIOR';
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_SPEARMAN' WHERE Unit = 'UNIT_AZTEC_EAGLE_WARRIOR';

UPDATE Units SET Combat = '30', Cost = '120' WHERE UnitType = 'UNIT_JAGUAR';
UPDATE TypeTags SET Tag = 'CLASS_IRREGULAR' WHERE Type = 'UNIT_JAGUAR' AND Tag = 'CLASS_JAGUAR';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_JAGUAR';

UPDATE Units SET FormationClass = 'FORMATION_CLASS_CIVILIAN' WHERE UnitType = 'UNIT_WARRIOR_PRIEST';

UPDATE UnitAiInfos SET AiType = 'UNITTYPE_MILITARY_CIVILIAN' WHERE UnitType = 'UNIT_WARRIOR_PRIEST' AND AiType = 'UNITTYPE_CIVILIAN';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_AZTEC_EAGLE_WARRIOR' AND AiType='UNITAI_EXPLORE';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_PROTECTIVE' WHERE UnitType='UNIT_JAGUAR' AND AiType='UNITAI_EXPLORE';

/* AUSTRALIA DLC + MOAR */
UPDATE Units SET Combat = '65' WHERE UnitType = 'UNIT_DIGGER';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_DIGGER' AND UpgradeUnit='UNIT_MECHANIZED_INFANTRY';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_DIGGER';

UPDATE Units SET Combat = '65', BaseSightRange = '2' WHERE UnitType = 'UNIT_SASR';
UPDATE UnitReplaces SET ReplacesUnitType = 'UNIT_SNIPER' WHERE CivUniqueUnitType = 'UNIT_SASR';
--DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_SASR' AND AiType = 'UNITTYPE_MELEE';
UPDATE TypeTags SET Tag = 'CLASS_SASR_ARMA' WHERE Type = 'UNIT_SASR' AND Tag = 'CLASS_SASR';
INSERT INTO Tags (Tag, Vocabulary) VALUES ('CLASS_SASR_ARMA', 'ABILITY_CLASS');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_SASR_ARMA', 'CLASS_SASR_ARMA');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_BERSERKER_RAGE', 'CLASS_SASR_ARMA');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_IRREGULAR_RECEIVE_SUPPORT', 'CLASS_SASR_ARMA');
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_SASR';

UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT', BaseMoves = '4', Combat = '10', RangedCombat = '0', Range = '0', BaseSightRange = '1' WHERE UnitType = 'UNIT_WOOMERA';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_WOOMERA';




/* INDONESIA DLC */
UPDATE Units SET BaseMoves = '5', Combat = '50', RangedCombat = '0', Range = '0', BaseSightRange = '1' WHERE UnitType = 'UNIT_INDONESIAN_JONG';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_MELEE' WHERE Type = 'UNIT_INDONESIAN_JONG' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_DESTROYER' WHERE Unit = 'UNIT_INDONESIAN_JONG' AND UpgradeUnit = 'UNIT_BATTLESHIP';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_INDONESIAN_JONG';


/* KHMER DLC */
UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT', Combat = '33', Cost = '180', Bombard = '40', Range = '1', ZoneOfControl = '1' WHERE UnitType = 'UNIT_KHMER_DOMREY';
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_BOMBARD' WHERE Unit = 'UNIT_KHMER_DOMREY' AND UpgradeUnit = 'UNIT_ARTILLERY';
UPDATE UnitAiInfos SET AiType = 'UNITTYPE_SIEGE_SUPPORT' WHERE UnitType = 'UNIT_KHMER_DOMREY' AND AiType = 'UNITTYPE_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_BATTERING_RAM' WHERE Type = 'UNIT_KHMER_DOMREY' AND Tag = 'CLASS_RANGED';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_KHMER_DOMREY';


/* MACEDONIA DLC + MOAR*/
UPDATE Units SET Combat = '30', Cost = '120' WHERE UnitType = 'UNIT_MACEDONIAN_HYPASPIST';
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_MACEMAN' WHERE Unit = 'UNIT_MACEDONIAN_HYPASPIST' AND UpgradeUnit = 'UNIT_MUSKETMAN';
INSERT INTO Tags (Tag, Vocabulary) VALUES ('CLASS_HYPASPIST_ARMA', 'ABILITY_CLASS');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_SIEGE_DISTRICTS', 'CLASS_HYPASPIST_ARMA');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_BERSERKER_RAGE', 'CLASS_HYPASPIST_ARMA');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_IRREGULAR_RECEIVE_SUPPORT', 'CLASS_HYPASPIST_ARMA');
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_MACEDONIAN_HYPASPIST';

UPDATE Units SET Combat = '40', Cost = '180', BaseMoves = '5' WHERE UnitType = 'UNIT_MACEDONIAN_HETAIROI';
UPDATE UnitReplaces SET ReplacesUnitType = 'UNIT_HEAVY_CHARIOT' WHERE CivUniqueUnitType = 'UNIT_MACEDONIAN_HETAIROI' AND ReplacesUnitType = 'UNIT_HORSEMAN';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_MACEDONIAN_HETAIROI';

UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT', Combat = '23', Cost = '180' WHERE UnitType = 'UNIT_BALLISTA';
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_TREBUCHET' WHERE Unit = 'UNIT_BALLISTA' AND UpgradeUnit = 'UNIT_BOMBARD';
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_BALLISTA' AND AiType = 'UNITTYPE_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_BATTERING_RAM' WHERE Type = 'UNIT_BALLISTA' AND Tag = 'CLASS_BALLISTA';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='CLASS_BALLISTA';

UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_MELEE', Combat = '30', BaseMoves = '4', BaseSightRange = '1' WHERE UnitType = 'UNIT_PEZHETAIROS';
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_PEZHETAIROS' AND AiType = 'UNITAI_EXPLORE';
DELETE FROM TypeTags WHERE Type = 'UNIT_PEZHETAIROS' AND Tag = 'CLASS_PEZHETAIROS';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_PEZHETAIROS';


/* NUBIA DLC */
UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT', BaseMoves = '5', RangedCombat = '0', Range = '0', BaseSightRange = '2' WHERE UnitType = 'UNIT_NUBIAN_PITATI';


/* PERSIA DLC + MOAR */
UPDATE Units SET Combat = '25', Range = '1', Bombard = '26', Cost = '120' WHERE UnitType = 'UNIT_PERSIAN_IMMORTAL';
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_MACEMAN' WHERE Unit = 'UNIT_PERSIAN_IMMORTAL' AND UpgradeUnit = 'UNIT_MUSKETMAN';
UPDATE TypeTags SET Tag = 'CLASS_IRREGULAR' WHERE Type = 'UNIT_PERSIAN_IMMORTAL' AND Tag = 'CLASS_RANGED';
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_PERSIAN_IMMORTAL' AND AiType = 'UNITTYPE_RANGED';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_PERSIAN_IMMORTAL';

UPDATE Units SET Combat = '35', Cost = '130' WHERE UnitType = 'UNIT_CATAPHRACT';
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_CATAPHRACT' AND AiType = 'UNITAI_EXPLORE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_CATAPHRACT';

UPDATE Units SET BaseMoves = '4', Combat = '35', RangedCombat = '0', Range = '0', BaseSightRange = '1' WHERE UnitType = 'UNIT_PERSIAN_WARSHIP';
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_IRONCLAD' WHERE Unit = 'UNIT_PERSIAN_WARSHIP' AND UpgradeUnit = 'UNIT_CARAVEL';
UPDATE UnitReplaces SET ReplacesUnitType = 'UNIT_QUADRIREME' WHERE CivUniqueUnitType = 'UNIT_PERSIAN_WARSHIP';
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_PERSIAN_WARSHIP' AND AiType = 'UNITTYPE_MELEE';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_SUPPORT' WHERE Type = 'UNIT_PERSIAN_WARSHIP' AND Tag = 'CLASS_PERSIAN_WARSHIP';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_PERSIAN_WARSHIP';


/* POLAND DLC + MOAR */
UPDATE Units SET Combat = '60', Cost = '350', BaseMoves = '5' WHERE UnitType = 'UNIT_POLISH_HUSSAR';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_POLISH_HUSSAR' AND UpgradeUnit='UNIT_TANK';
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_POLISH_HUSSAR' AND AiType = 'UNITTYPE_MELEE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_POLISH_HUSSAR';

UPDATE Units SET Combat = '50' WHERE UnitType = 'UNIT_CHOSEN_INFANTRY';
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_CHOSEN_INFANTRY' AND AiType = 'UNITAI_EXPLORE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_CHOSEN_INFANTRY';
--NEEDS GRUNT

UPDATE Units SET FormationClass = 'FORMATION_CLASS_SUPPORT', BaseMoves = '6', Cost = '262', Combat = '35', RangedCombat = '0', Range = '0', BaseSightRange = '3' WHERE UnitType = 'UNIT_UHLAN';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_UHLAN' AND UpgradeUnit='UNIT_HELICOPTER';
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_UHLAN' AND AiType = 'UNITTYPE_MELEE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_UHLAN';


/* MISC */
UPDATE Units SET Combat = '50' WHERE UnitType = 'UNIT_JANISSARY';
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_JANISSARY' AND AiType = 'UNITAI_EXPLORE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_JANISSARY';
--NEEDS GRUNT